/*Move All MemoPad Records in Cat. MCATF to Cat. MCATT.*/

//`General Setting;
#define    MPDB        "MemoDB"
#define    MPCATF    "Voc_Cvtd"
#define    MPCATT   "Voc_New"

//`Global Variables;
int    MPCatIDf, MPCatIDt;
int    MaxMPDBCats=0x10;

/*Functions*/
//`Confirm General Setting;
int ErrGenSet(){
    string message;
    clear();
    message="Move all records from "+
        MPCATF+" to "+MPCATT;
    return(
        alertc("Confirm",
            message, "OK:Cancel", 2));
}

//`Confirm MPCATs Validity;
int ValidMPCATs(){
    int i;
    string message;
    MPCatIDf=-1; MPCatIDt=-1;
    dbopen(MPDB);
    for(i=0; i<MaxMPDBCats; i++){
        if (dbcatname(i)==MPCATF)
            MPCatIDf=i;
        if (dbcatname(i)==MPCATT)
            MPCatIDt=i;
    }
    dbclose();
    if (MPCatIDf==-1 || MPCatIDt==-1){
        message="Invalid MemoPad "+
            "Category.\n"+
            "Conversion FAILED.";
        alertc("Error", message, "OK", 3);
        return(0);
    }
    return(1);
}

//`Display Result;
int DispRslt(int mvdRecAmt){
    string message;
    message=mvdRecAmt+" Records "+
        "moved from "+MPCATF+" to "+
        MPCATT;
    alertc("Result", message, "OK", 0);
    return(1);
}

//`Main Function;
main(){
    int i, mvdRecAmt;
    
    //Preparations;
    hookhard(1);
    hooksilk(1);
    
    //Confirmations;
    if (ErrGenSet()) return(0);
    if (!ValidMPCATs()) return(0);
    
    //Remove Records;
    dbopen(MPDB);
    mvdRecAmt=0;
    for(i=0; i<dbnrecs(); i++){
        dbrec(i);
        if(dbgetcat()==MPCatIDf){
            dbsetcat(MPCatIDt);
            mvdRecAmt++;
        }
    }
    
    //Display Result;
    DispRslt(mvdRecAmt);
}