/*Remove All Records in MPCAT.*/

//`General Setting;
#define    MPDB        "MemoDB"
#define    MPCAT     "Voc_Cvtd"

//`Global Variables;
int    MPCatID;
int    MaxMPDBCats=0x10;

/*Functions*/
//`Confirm General Setting;
int ErrGenSet(){
    string message;
    clear();
    message="Remove all records in "+
        MPCAT;
    return(
        alertc("Confirm",
            message, "OK:Cancel", 2));
}

//`Confirm MPCAT Validity;
int ValidMPCAT(){
    int i;
    string message;
    MPCatID=-1;
    dbopen(MPDB);
    for(i=0; i<MaxMPDBCats; i++)
        if (dbcatname(i)==MPCAT)
            MPCatID=i;
    dbclose();
    if (MPCatID==-1){
        message="Invalid MemoPad "+
            "Category.\n"+
            "Operation FAILED.";
        alertc("Error", message, "OK", 3);
        return(0);
    }
    return(1);
}

//`Display Result;
int DispRslt(int rmdRecAmt){
    string message;
    message=rmdRecAmt+" Records "+
        "removed from "+MPCAT;
    alertc("Result", message, "OK", 0);
    return(1);
}

//`Main Function;
main(){
    int mpRecID, rmdRecAmt;
    
    //Preparations;
    hookhard(1);
    hooksilk(1);
    
    //Confirmations;
    if (ErrGenSet()) return(0);
    if (!ValidMPCAT()) return(0);
    
    //Remove Records;
    dbopen(MPDB);
    rmdRecAmt=0;
    mpRecID=0;
    while(mpRecID<dbnrecs()){
        dbrec(mpRecID);
        if(dbgetcat()==MPCatID){
            dbremrec(mpRecID);
            rmdRecAmt++;
        }
        else mpRecID++;
    }
    
    //Display Result;
    DispRslt(rmdRecAmt);
}